"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var blurview_common_1 = require("./blurview.common");
var BlurView = (function (_super) {
    __extends(BlurView, _super);
    function BlurView() {
        return _super.call(this) || this;
    }
    BlurView.prototype.createNativeView = function () {
        var blurView = new eightbitlab.com.blurview.BlurView(this._context);
        return blurView;
    };
    BlurView.prototype.initBlur = function () {
        var decorView = this.page.nativeViewProtected;
        var windowBackground = decorView.getBackground();
        this.nativeViewProtected
            .setupWith(decorView)
            .setBlurAlgorithm(new com.eightbitlab.supportrenderscriptblur.SupportRenderScriptBlur(this._context));
        if (this.blurRadius === 0) {
            this.nativeView.setBlurEnabled(false);
        }
        else {
            this.nativeView.setBlurRadius(this.blurRadius / 3).setBlurEnabled(true);
        }
    };
    BlurView.prototype.initNativeView = function () {
        var _this = this;
        var layoutChangeListener = new android.view.View.OnLayoutChangeListener({
            onLayoutChange: function (v, left, top, right, bottom, oldLeft, oldTop, oldRight, oldBottom) {
                _this.nativeViewProtected.removeOnLayoutChangeListener(layoutChangeListener);
                _this.initBlur();
            }
        });
        this.nativeViewProtected.addOnLayoutChangeListener(layoutChangeListener);
    };
    BlurView.prototype[blurview_common_1.blurRadiusProperty.setNative] = function (value) {
        if (this.nativeView) {
            if (value === 0) {
                this.nativeViewProtected.setBlurEnabled(false);
            }
            else {
                this.nativeViewProtected.setBlurRadius(Math.min(this.blurRadius / 3, 24)).setBlurEnabled(true);
            }
        }
    };
    return BlurView;
}(blurview_common_1.BlurViewBase));
exports.BlurView = BlurView;
//# sourceMappingURL=blurview.android.js.map