"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var blurview_common_1 = require("./blurview.common");
var BlurView = (function (_super) {
    __extends(BlurView, _super);
    function BlurView() {
        return _super.call(this) || this;
    }
    BlurView.prototype.createNativeView = function () {
        var visualEffectView = UIVisualEffectView.new();
        this.blurEffect = NSClassFromString('_UICustomBlurEffect').new();
        visualEffectView.effect = this.blurEffect;
        return visualEffectView;
    };
    BlurView.prototype[blurview_common_1.blurRadiusProperty.setNative] = function (value) {
        if (this.nativeViewProtected) {
            this.blurEffect.setValueForKeyPath(value, 'blurRadius');
            this.nativeViewProtected.effect = this.blurEffect;
        }
    };
    BlurView.prototype[blurview_common_1.scaleProperty.setNative] = function (value) {
        if (this.nativeViewProtected) {
            this.blurEffect.setValueForKeyPath(value, 'scale');
            this.nativeViewProtected.effect = this.blurEffect;
        }
    };
    BlurView.prototype[blurview_common_1.colorTintAlphaProperty.setNative] = function (value) {
        if (this.nativeViewProtected) {
            this.blurEffect.setValueForKeyPath(value, 'colorTintAlpha');
            this.nativeViewProtected.effect = this.blurEffect;
        }
    };
    BlurView.prototype[blurview_common_1.colorTintProperty.setNative] = function (value) {
        if (this.nativeViewProtected) {
            this.blurEffect.setValueForKeyPath(value ? value.ios : null, 'colorTint');
            this.nativeViewProtected.effect = this.blurEffect;
        }
    };
    return BlurView;
}(blurview_common_1.BlurViewBase));
exports.BlurView = BlurView;
//# sourceMappingURL=blurview.ios.js.map